> # NAME

> cgD3D10SetTextureParameter - sets the value of a texture parameter

> # SYNOPSIS

>       #include <Cg/cgD3D10.h>

>       void cgD3D10SetTextureParameter( CGparameter param,
>                                        ID3D10Resource * texture );

> # PARAMETERS

> param

>   The texture parameter that will be set.

> texture

>   An D3D texture to which the parameter will be set.

> # RETURN VALUES

> None.

> # DESCRIPTION

> cgD3D10SetTextureParameter sets the value of a texture parameter to a given D3D10 texture object.

> # EXAMPLES

>       ID3D10Resource *myTexture;
>       // Assume myTexture is loaded here...

>       // .. and param is an effect sampler parameter
>       cgD3D10SetTextureParameter( param, myTexture );

> # ERRORS

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter handle.

> # HISTORY

> cgD3D10SetTextureParameter was introduced in Cg 2.1.

> # SEE ALSO

> cgD3D10SetManageTextureParameters